function newsec = year2sec1970(year,mo,da,ho,mi,se)

%--------------------------------------------------------
%
% Calculate seconds from 1970-01-01 00:00:00 GMT
%
%
% Modified by Deborah A. LeBel  2023-11-06
%    Revised to allow data collected in 1970, prevent
%    error for end date in January
%
%--------------------------------------------------------

%- digital format change
format longg
% Define variables

%%{ example:
year = 1922;
mo = 02;
da = 1;
ho = 12;
mi = 0;
se = 0;
%%}


year1 = 1970;
year2 = year;
dmm = 24*60*60;
ia = 0;
yearsum = zeros((year2-year1+1),1)
mon = [31 28 31 30 31 30 31 31 30 31 30 31];
%
for i = year1:year2-1

%- Days in each month, account for leap years
   ia = ia + 1;
  
   if ( mod(i,4) == 0 & mod(i,400) == 0)   %leap year
       mon(2) = 29;
       days_in_year = 366
   else 
      mon(2) = 28;
      days_in_year = 365
   end     
%
%
   try 
      yearsum(ia) = days_in_year*dmm   %year != 1970
   catch
      if year1 == year2
	  year1
	     if month ~= 1
		    yearsum(ia) = sum(mon(1:mo-1))*dmm + (da-1)*dmm + (ho*3600) + (mi*60) + se
		 else
		    yearsum(ia) = (da-1) * dmm + (ho*3600)+ (mi*60) + se;
		 end
	  end
   end
%
%
end
%
yearsum(ia+1) = sum(mon(1:mo-1))*dmm +(da-1)*dmm +ho*60*60 +mi*60+ se;

newsec = sum(yearsum);

